# Search shipping methods

Use **searchShippingMethods** to retrieve information on the shipping methods currently defined on your account.

## Search filters

Use the parameters below to filter the results of your search for shipping methods.

| Parameter        | Type / Description                                                                     |
| ---------------- | -------------------------------------------------------------------------------------- |
| Name             | String / Optional — Name of the shipping method.                                       |
| Codes            | Array of strings / Optional — Codes assigned to the shipping methods.                  |
| Countries        | Array of strings / Optional — Countries to which the shipping method is assigned.      |
| Active           | Boolean / Optional — TRUE = active shipping methods; FALSE = inactive shipping methods |
| Pagination       | Object / Optional — Control the results pagination.                                    |
| Pagination.Page  | Integer / Optional — Number of the page to display.                                    |
| Pagination.Limit | Integer / Optional — Limit the number of results returned.                             |

### Sample request

```php
<?php

require ('PATH_TO_AUTH'); // authentication call

$SearchOptions = new \stdClass();
$SearchOptions->Name = 'ShippingMethodName'; // search for a specific shipping method
$SearchOptions->Codes = ['Code1', 'Code2', 'Code3']; // array of shipping method codes
$SearchOptions->Countries = ['US', 'UK', 'AU']; // array of country codes
$SearchOptions->Active = true; // only active shipping methods
$SearchOptions->Pagination = new \stdClass();
$SearchOptions->Pagination->Page = 1; // set display pages
$SearchOptions->Pagination->Limit = 200; // limit the results

try {
    $shippingMethods = $client->searchShippingMethods($sessionID, $SearchOptions);
}
catch (SoapFault $e) {
    echo "shippingMethods: " . $e->getMessage();
    exit;
}
var_dump("shippingMethods", $shippingMethods);
```

## Response parameters

| Parameter                                                                                                           | Type       |
| ------------------------------------------------------------------------------------------------------------------- | ---------- |
| [ShippingMethod](https://verifone.cloud/docs/2checkout/API-Integration/SOAP_API_6.0/API-Responses/Shipping_method/) | **Object** |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/shipping-in-api/search-shipping-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
